[SCM] debian-live/live-helper branch, master, updated. 1.0_a28-1-5-g887799b

Daniel Baumann daniel at debian.org
Tue Sep 18 08:00:43 UTC 2007


The branch, master has been updated
       via  887799b5d945eb78f841b9ac9c86ab543cee76ec (commit)
      from  1c61ab4b8ae235294b8f88499e61df562d521b09 (commit)


- Shortlog ------------------------------------------------------------
887799b debian/preinst

Summary of changes:
 debian/changelog |    4 +++-
 debian/preinst   |   40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 1 deletions(-)
-----------------------------------------------------------------------
Details of changes:

commit 887799b5d945eb78f841b9ac9c86ab543cee76ec
Author: Daniel Baumann <daniel at debian.org>
Date:   Tue Sep 18 10:00:31 2007 +0200

    debian/preinst
    
      * Adding preinst to take care about package upgrades with respect to
        directories that are symlinks now (Closes: #442408, #442922).

diff --git a/debian/changelog b/debian/changelog
index ab51ad9..2fc6a85 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 live-helper (1.0~a29-1) UNRELEASED; urgency=medium
 
-  * New upstream release.
+  * New upstream release:
+    - Adding preinst to take care about package upgrades with respect to
+      directories that are symlinks now (Closes: #442408, #442922).
 
  -- Daniel Baumann <daniel at debian.org>  Mon, 24 Sep 2007 00:00:00 +0200
 
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..1e6e21f
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	install|upgrade)
+		if [ -h /usr/share/live-helper/data/debian-cd/lenny ]
+		then
+			rm -f /usr/share/live-helper/data/debian-cd/lenny
+		fi
+
+		if [ -h /usr/share/live-helper/data/debian-cd/sid ]
+		then
+			rm -f /usr/share/live-helper/data/debian-cd/sid
+		fi
+
+		if [ -d /usr/share/live-helper/includes ]
+		then
+			rm -rf /usr/share/live-helper/includes
+		fi
+
+		if [ -d /usr/share/live-helper/templates ]
+		then
+			rm -rf /usr/share/live-helper/templates
+		fi
+		;;
+
+	abort-upgrade)
+
+		;;
+
+	*)
+		echo "preinst called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0

-- 
debian-live/live-helper



More information about the debian-live-changes mailing list